Get Cluster Stack History Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/history \
--header 'Authorization: Bearer <token>'{
"history": [
{
"resource_id": "<string>",
"resource_name": "<string>",
"resource_type": "addon",
"version_history": [
{
"created_at": "2023-11-07T05:31:56Z",
"definition": "<unknown>",
"delta": [
"<unknown>"
],
"user_id": "<string>",
"version_id": "<string>",
"change_type": "<string>",
"external_user": "<string>"
}
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Imported Clusters
Get Cluster Stack History Endpoint
GET
/
api
/
v1
/
org
/
clusters
/
imported
/
{cluster_id}
/
stacks
/
{stack_name}
/
history
Get Cluster Stack History Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/history \
--header 'Authorization: Bearer <token>'{
"history": [
{
"resource_id": "<string>",
"resource_name": "<string>",
"resource_type": "addon",
"version_history": [
{
"created_at": "2023-11-07T05:31:56Z",
"definition": "<unknown>",
"delta": [
"<unknown>"
],
"user_id": "<string>",
"version_id": "<string>",
"change_type": "<string>",
"external_user": "<string>"
}
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 100Available options:
addon, manifest Response
Successful Response
Show child attributes
Show child attributes